AsterNet Class Library (Sandcastle documentation)

| LoginAction Class

The LoginAction authenticates the connection.
A successful login is the precondition for sending any other action except for the ChallengeAction.
An unsuccessful login results in an ManagerError being received from the server with a message set to "Authentication failed" and the socket being closed by Asterisk.
Inheritance Hierarchy
System
Object
AsterNET.Manager.Action
ManagerAction
AsterNET.Manager.Action
LoginAction

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class LoginAction : ManagerAction

    Public Class LoginAction
    	Inherits ManagerAction

    public ref class LoginAction : public ManagerAction

    type LoginAction =
        class
            inherit ManagerAction
        end

The LoginAction type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| LoginAction | Creates a new empty LoginAction.
| LoginAction(String, String) | Creates a new LoginAction that performs a cleartext login. You should not use cleartext login if you are concerned about security and login with a password hash instead.
| LoginAction(String, String, String) | Creates a new LoginAction that performs a login via challenge/response.
| LoginAction(String, String, String, String) | Creates a new LoginAction that performs a login via challenge/response.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from ManagerAction.)

Top
Properties

| Name | Description
--- | --- | ---
| Action | Get the name of this action, i.e. "Login". (Overrides ManagerAction Action.)
| ActionId | (Inherited from ManagerAction.)
| AuthType | Get/Set the digest alogrithm when using challenge/response. The digest algorithm is used to create the key based on the challenge and the user's password. Currently Asterisk supports only "MD5".
| Events | Get/Set the event mask. Set to "on" if all events should be send, "off" if not events should be sent or a combination of "system", "call" and "log" (separated by ',') to specify what kind of events should be sent.
| Key | Get/Set the key.
| ProxyKey | You can use this as a simple authentication mechanism. Rather than have to login with a username & password, you can specify a ProxyKey that must be passed from a client before requests are processed. This is helpful in situations where you would like to authenticate and execute an action in a single step. (Inherited from ManagerAction.)
| Secret | Get/Set the secret to use when using cleartext login. The secret contains the user's password as configured in Asterisk's manager.conf. The secret and key properties are mutually exclusive.
| Server | Specify a server to which to send your commands (x.x.x.x or hostname). This should match the server name specified in your config file's "host" entry. If you do not specify a server, the proxy will pick the first one it finds -- fine in single-server configurations. (Inherited from ManagerAction.)
| Username | Get/Set the username as configured in asterik's manager.conf.

Top
See Also

#### Reference

AsterNET.Manager.Action Namespace
AsterNET.Manager.Action
ChallengeAction
AsterNET.Manager.Response
ManagerError